---
title: CSSPerspective()
slug: Web/API/CSSPerspective/CSSPerspective
tags:
  - API
  - CSS Typed Object Model API
  - CSSPerspective
  - CSSTransformComponent
  - CSSTransformValue
  - Constructor
  - Experimental
  - Houdini
---
<div>{{APIRef("CSS Typed OM")}}{{SeeCompatTable}}{{draft}}</div>

<p class="summary">The <strong><code>CSSPerspective()</code></strong> constructor creates a new {{domxref("CSSPerspective")}} object representing the <a href="/en-US/docs/Web/CSS/transform-function/perspective()">perspective()</a> value of the individual {{CSSXref('transform')}} property in CSS.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">var <var>CSSPerspective</var> = new CSSPerspective(<em>length</em>);</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt>{{domxref('CSSPerspective.length','length')}}</dt>
 <dd>A value for the distance from z=0 of the {{domxref('CSSPerspective')}} object to be constructed. This must be a {{cssxref('length')}}.</dd>
</dl>

<h3 id="Exceptions">Exceptions</h3>

<dl>
 <dt><a href="/en-US/docs/Web/JavaScript/Reference/Global_Objects/TypeError"><code>TypeError</code></a></dt>
 <dd>Raised if the value of <code>CSSPerspective.length</code> exists but is not a {{cssxref('length')}}.</dd>
</dl>

<h2 id="Examples">Examples</h2>

<p>To do</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('CSS Typed OM','#cssperspective','CSSPerspective')}}</td>
   <td>{{Spec2('CSS Typed OM')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.CSSPerspective.CSSPerspective")}}</p>
